
Foreman - Bug #1834

Support for ruby 1.9.x

08/23/2012 10:53 AM - Anonymous

Status: Closed   

Priority: Normal   

Assignee:    

Category: Rails   

Target version: 1.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

A bunch of syntax issues need fixing, and at least one gem (safemode) needs updating.

Related issues:

Related to Foreman - Bug #2063: minitest / mocha test failures on Ruby 1.9 Closed 12/20/2012

Blocks Foreman - Bug #2029: Build PXE Default fails with "exp not empty after... Resolved 12/10/2012

Associated revisions

Revision 71291a46 - 12/20/2012 04:18 AM - Dmitri Dolguikh 

fixes #1834 to get foreman running under ruby 1.9.3

History

#1 - 09/05/2012 04:01 AM - Ohad Levy

I've added a couple of travis tests, you could see that 1.93 and 1.92 tests are failing due to different reasons

http://travis-ci.org/#!/theforeman/foreman

#2 - 12/20/2012 04:15 AM - Ohad Levy

- Category set to Rails

- Status changed from New to Assigned

- Target version set to 1.1

#3 - 12/20/2012 04:19 AM - Ohad Levy

see https://github.com/theforeman/foreman/pull/283 for more related details

#4 - 12/20/2012 04:19 AM - Ohad Levy

- Subject changed from Support for ruby 1.9.2 to Support for ruby 1.9.x

#5 - 12/20/2012 04:20 AM - Anonymous

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset 71291a465615aa349733dc700b6fedb34a37dc8b.
